#pragma once
#include "connection.h"
#include "SortArray.h"

class CSSIParserItem
{
public:
	CString	m_tagName;			//	タグ名
	CString	m_tagData;			//	タグのデータ
	CString	m_prevHtml;			//	前回の位置から今回の位置までのHTMLデータ

	CString	m_dataKey;			//	xxx=
	CString	m_dataData;			//	="xxx"
};

class CSSIParser
{
public:

	CSSIParser(CConnectionInterrupt interrupt);
	~CSSIParser(void);

	static CString LoadFile(CString path);

	int ParseFile(CString path);
	int GetTagCount();

	CSSIParserItem & operator[](int index);

private:
	CString					m_html;			//	全体
	CConnectionInterrupt	m_interrupt;	//	中断フラグ

	//	解析済みのタグ
	CSortArray<CSSIParserItem,CSSIParserItem &>	m_tags;
};
